Skip to content

Get current subscription usage

GET
/v1/subscriptions/{subscription_id}/current_usage

Get current period usage amount for a subscription.

subscription_id
required
Subscription Id
string format: uuid

Successful Response

CurrentUsageResponse
object
subscription_id
required
Subscription Id
string format: uuid
current_usage_amount_cents
required
Current Usage Amount Cents
string
/^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$/
billing_period_start
required
Billing Period Start
string format: date-time
billing_period_end
required
Billing Period End
string format: date-time

Unauthorized

Subscription, plan, or customer not found

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object